Name:           radeon-r6xx-r7xx-mesa
Version:	7.6        
Release:        1%{?dist}
Summary:        Mesa GL build to work with ATI r6xx and r7xx chipsets, which are the Radeon HD 2000 - 4000 family of video cards.

Group:          Hardware
License:        MIT
URL:            http://www.mesa3d.org/
Source0:        radeon-r6xx-r7xx-mesa-7.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kernel-devel radeon-r6xx-r7xx
Requires:       radeon-r6xx-r7xx
Obsoletes:	mesa-libGLU mesa-libGL-devel mesa-libGL mesa-libGLU-devel mesa-dri-drivers mesa-libGLw-devel mesa-libGLw mesa-demos mesa-libOSMesa mesa-libOSMesa-devel freeglut

%description	
Mesa is an open-source implementation of the OpenGL specification - a system for rendering interactive 3D graphics.

A variety of device drivers allows Mesa to be used in many different environments ranging from software emulation to complete hardware acceleration for modern GPUs.

Mesa ties into several other open-source projects: the Direct Rendering Infrastructure and X.org to provide OpenGL support to users of X on Linux, FreeBSD and other operating systems. 

This implementation of mesa includes support for newer ATI cards.

%prep
%setup -q


%build
cd mesa/
./autogen.sh --with-dri-drivers=swrast,radeon,r600 --libdir=%{_libdir} --includedir=/usr/include --enable-debug
make


%install
rm -rf $RPM_BUILD_ROOT
cd mesa/
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
/usr/include/GL/GLwDrawA.h
/usr/include/GL/GLwDrawAP.h
/usr/include/GL/GLwMDrawA.h
/usr/include/GL/GLwMDrawAP.h
/usr/include/GL/amesa.h
/usr/include/GL/directfbgl.h
/usr/include/GL/dmesa.h
/usr/include/GL/fxmesa.h
/usr/include/GL/ggimesa.h
/usr/include/GL/gl.h
/usr/include/GL/gl_mangle.h
/usr/include/GL/glext.h
/usr/include/GL/glfbdev.h
/usr/include/GL/glu.h
/usr/include/GL/glu_mangle.h
/usr/include/GL/glut.h
/usr/include/GL/glutf90.h
/usr/include/GL/glx.h
/usr/include/GL/glx_mangle.h
/usr/include/GL/glxext.h
/usr/include/GL/internal/dri_interface.h
/usr/include/GL/internal/dri_sarea.h
/usr/include/GL/mesa_wgl.h
/usr/include/GL/mglmesa.h
/usr/include/GL/miniglx.h
/usr/include/GL/osmesa.h
/usr/include/GL/svgamesa.h
/usr/include/GL/uglglutshapes.h
/usr/include/GL/uglmesa.h
/usr/include/GL/vms_x_fix.h
/usr/include/GL/wmesa.h
/usr/include/GL/xmesa.h
/usr/include/GL/xmesa_x.h
/usr/include/GL/xmesa_xf86.h
%{_libdir}/dri/r600_dri.so
%{_libdir}/dri/radeon_dri.so
%{_libdir}/dri/swrast_dri.so
%{_libdir}/libGL.so
%{_libdir}/libGL.so.1
%{_libdir}/libGL.so.1.2
%{_libdir}/libGLU.so
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.070200
%{_libdir}/libGLw.so
%{_libdir}/libGLw.so.1
%{_libdir}/libGLw.so.1.0.0
%{_libdir}/libglut.so
%{_libdir}/libglut.so.3
%{_libdir}/libglut.so.3.7.1
%{_libdir}/pkgconfig/dri.pc
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/glu.pc
%{_libdir}/pkgconfig/glut.pc
%{_libdir}/pkgconfig/glw.pc
%defattr(-,root,root,-)
%doc



%changelog
